.productsContainer {
  min-height: 100vh;
  padding: 0 2rem;
  display: grid;
  grid-template-columns: 1fr 3fr;
  gap: 2rem;
  margin-bottom: 1rem;
}

/* ***********************  Side Bar *********************** */
.sideBar {
  border: var(--border-main);
  border-radius: var(--bor-rad-16);
  overflow: hidden;
  background-color: var(--side-bar-bg);
  /* Box Shadow */
  -webkit-box-shadow: 0px 0px 8px 0px rgba(var(--orange-color-rgb), 0.2);
  -moz-box-shadow: 0px 0px 8px 0px rgba(var(--orange-color-rgb), 0.2);
  box-shadow: 0px 0px 8px 0px rgba(var(--orange-color-rgb), 0.2);
  padding: 1rem;
  height: max-content;
  color: var(--sub-color);
}

.sideBar .sideBarTitle {
  font-size: 32px;
}

.sideBar > .listGroupWrapper {
  margin-top: 4px;
  margin-left: 8px;
  display: flex;
  flex-direction: column;
  gap: 1.5rem;
}

.sideBar > .listGroupWrapper > .listGroup {
  display: flex;
  flex-direction: column;
  gap: 4px;
}

.sideBar > .listGroupWrapper > .listGroup > li {
  cursor: pointer;
  transition: var(--transition-all);
  display: flex;
  align-items: center;
  gap: 0.5rem;
}

.sideBar > .listGroupWrapper > .listGroup > li.listTitle {
  font-size: 18px;
  font-weight: 700;
  opacity: 0.8;
}

/* Hot Recipe &  Recipe */
.sideBar
  > .listGroupWrapper
  > .listGroup:nth-child(1)
  > li:not(:first-child):hover,
.sideBar
  > .listGroupWrapper
  > .listGroup:nth-child(3)
  > li:not(:first-child):hover {
  transform: translateX(12px);
}

/* Best Delicious */
.sideBar > .listGroupWrapper > .listGroup:nth-child(2) > li > input {
  height: 20px;
  width: 20px;
  opacity: 0.4;
  transition: var(--transition-all);
}

.sideBar > .listGroupWrapper > .listGroup:nth-child(2) > li > input:checked {
  accent-color: var(--sub-color);
  opacity: 1;
}

.sideBar > .listGroupWrapper > .listGroup:nth-child(2) > li:hover > input {
  opacity: 1;
}

/* Search */
.sideBar > .listGroupWrapper > .listGroup > li > .searchInputWrapper {
  display: flex;
  align-items: center;
  width: 100%;
  position: relative;
}

.sideBar
  > .listGroupWrapper
  > .listGroup
  > li
  > .searchInputWrapper
  > input.searchInput {
  height: 48px;
  width: 100%;
  border-radius: 48px;
  /* Box Shadow */
  -webkit-box-shadow: 0px 0px 10px 0px rgba(0, 0, 0, 0.1);
  -moz-box-shadow: 0px 0px 10px 0px rgba(0, 0, 0, 0.1);
  box-shadow: 0px 0px 10px 0px rgba(0, 0, 0, 0.1);
  padding-left: 5%;
  font-size: 1rem;
  font-weight: 700;
  border: 1px solid transparent;
}

.sideBar
  > .listGroupWrapper
  > .listGroup
  > li
  > .searchInputWrapper
  > input.searchInput:focus {
  border: 1px solid var(--sub-color);
}

.sideBar
  > .listGroupWrapper
  > .listGroup
  > li
  > .searchInputWrapper
  > input.searchInput::placeholder {
  font-size: 1rem;
  font-weight: 500;
}

.sideBar > .listGroupWrapper > .listGroup > li > .searchInputWrapper > svg {
  position: absolute;
  top: 50%;
  right: 5%;
  transform: translateY(-50%);
  font-size: 20px;
}

/* ***********************  Product *********************** */
.products {
  width: 100%;
  padding: 1rem 2rem;
}

.products > h1 {
  padding: 0;
}

.products > .cardContainer {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  gap: 2rem;
  margin: 2rem 0;
}

.products > .mobileNavBar {
  display: block;
  margin: 1.5rem 0;
}

.products > .mobileNavBar > ul {
  display: flex;
  align-items: center;
  gap: 1rem;
}

.products > .mobileNavBar > ul > li {
  background-color: var(--orange-color);
  color: var(--white-color);
  padding: 6px 12px;
  border-radius: var(--bor-rad-16);
  cursor: pointer;
  border: 1px solid transparent;
  transition: var(--transition-all);
}

.products > .mobileNavBar > ul > li.active {
  background-color: var(--white-color);
  color: var(--orange-color);
  border: 1px solid var(--orange-color);
  /* Box Shadow */
  -webkit-box-shadow: 0px 0px 8px 0px rgba(var(--orange-color-rgb), 0.4);
  -moz-box-shadow: 0px 0px 8px 0px rgba(var(--orange-color-rgb), 0.4);
  box-shadow: 0px 0px 8px 0px rgba(var(--orange-color-rgb), 0.4);
}

.products > .mobileNavBar > ul > li:hover {
  background-color: var(--white-color);
  color: var(--orange-color);
  border: 1px solid var(--orange-color);
}

/*  **************  MEDIA QUERIES ( MEDIUM DEVICES )  ****************  */
@media screen and (max-width: 1365px) {
  /* Product Container */
  .productsContainer {
    min-height: 100vh;
    padding: 0 1rem;
    display: grid;
    grid-template-columns: 1fr 3fr;
    gap: 1rem;
  }
  /* Card Container */
  .products > .cardContainer {
    grid-template-columns: 1fr 1fr;
  }
}

@media screen and (max-width: 991px) {
  /* Product Container */
  .productsContainer {
    grid-template-columns: 1fr;
  }
  /* Side Bar */
  .sideBar {
    display: none;
  }
  /* Products */
  .products > h1 {
    margin-bottom: 1.5rem;
  }
  /* Mobile Navbar */
  .products > .mobileNavBar {
    display: block;
  }
}

/*  **************  MEDIA QUERIES ( MEDIUM DEVICES )  ****************  */
@media screen and (max-width: 500px) {
  /* Product Container */
  .productsContainer {
    justify-content: center;
  }
  /* Card Container */
  .products > .cardContainer {
    grid-template-columns: 1fr;
  }
  /* Mobile Navbar */
  .products > .mobileNavBar {
    font-size: 13px;
  }
  .products > .mobileNavBar > ul {
    gap: 0.5rem;
    justify-content: space-between;
  }
  .products > .mobileNavBar > ul > li {
    padding: 8px;
  }
}
